<?php
// $Id: feedapi_mapper.inc,v 1.1.2.3 2008/07/03 19:29:02 jbrown Exp $

// Copyright 2007-2008 Jonathan Brown


function op_video_feedapi_mapper($op, $node, $field_name, $feed_element = array(), $sub_field = '') {

  $field = content_fields($field_name);
  if($field['type'] != 'op_video') {
    return;
  }

  switch($op) {
  
    case 'describe':
      $info  = 'Map this field to options->enclosures->video to pull in video content.<br />';
      $info .= 'Note that Common syndication parser does not parse enclosures - use SimplePie parser instead.';
      return t($info);
      
    case 'list':
      return TRUE;
      
    case 'map';
    
      if(!is_array($feed_element))
        return $node;
    
      $format = array_shift($feed_element);
      $video = $format[0];
    
      $field = $node->$field_name;
      $field[0]['upload']['acquire_url'] = $video['link'];
      $field[0]['preview_image']['upload']['acquire_url'] = $video['thumbnails'][0];
      $node->$field_name = $field;
      return $node;
  }
}
